org.springframework.transaction.config

## Class TxNamespaceHandler

- java.lang.Object
- - org.springframework.beans.factory.xml.NamespaceHandlerSupport
  - - org.springframework.transaction.config.TxNamespaceHandler

All Implemented Interfaces:
  NamespaceHandler

    public class TxNamespaceHandler
    extends NamespaceHandlerSupport

`NamespaceHandler` allowing for the configuration of declarative transaction management using either XML or using annotations.

This namespace handler is the central piece of functionality in the Spring transaction management facilities and offers two approaches to declaratively manage transactions.

One approach uses transaction semantics defined in XML using the `&lt;tx:advice&gt;` elements, the other uses annotations in combination with the `&lt;tx:annotation-driven&gt;` element. Both approached are detailed to great extent in the Spring reference manual.

Since:
  2.0
Author:
  Rob Harrop, Juergen Hoeller

### Constructor Summary

Constructors
Constructor and Description
`TxNamespaceHandler()`

### Method Summary

Methods
`void` `init()` Invoked by the `DefaultBeanDefinitionDocumentReader` after construction but before any custom elements are parsed.

### Methods inherited from class org.springframework.beans.factory.xml.NamespaceHandlerSupport

`decorate, parse, registerBeanDefinitionDecorator, registerBeanDefinitionDecoratorForAttribute, registerBeanDefinitionParser`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TxNamespaceHandler

    public TxNamespaceHandler()

### Method Detail

#### init

    public void init()

Description copied from interface: `NamespaceHandler`
Invoked by the `DefaultBeanDefinitionDocumentReader` after construction but before any custom elements are parsed.

See Also:
  `NamespaceHandlerSupport.registerBeanDefinitionParser(String, BeanDefinitionParser)`